Mailinglist Archive: opensuse-buildservice (140 mails)

< Previous Next >
[opensuse-buildservice] Best way ?
  • From: Florian Leparoux <florian.leparoux@xxxxxxxxx>
  • Date: Thu, 05 Jun 2014 09:38:27 +0200
  • Message-id: <53901E73.9080206@gmail.com>
Hi,

Sometimes I'm a little confused, and today it's because I don't know some thing...

The questions I ask myself (and google try to answer as best he can) are probably easy
for a lot of people :

** How can I manage a project with the same package but with 1,2,3... versions ?
(Same specfile ?...)

** How can I manage the installation of the same package in different versions ?
(Using /usr/local/package-{xx,xy} ?)

- When I set in a specfile the tags : BuildRequires, Requires, Recommends,...
BuildRequires : Only useful for building the package
Requires : Dependencies required to use the program (functionalities, ...)
Recommends : Not necessary but recommended ?

Another question arises in me :
- If I use for example a librairy (%{name}-%{version}.rpm)
The building process (if I don't use *Requires: libxx >= %{version}) use the latest version
available in the OBS repo ? (true?)
But If I had a server where I want to install this package do not has the latest version
but an older version,
** How can I be sure the installation and use will work properly?
** How to ensure a perfect dependency management ?


Do not hesitate to tell me if I understood nothing.

And possibly if you have references that could more advanced explain how the operation.


Thank you for your feedback



--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups